FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > CentOS > CentOS

 
 
LinkBack Thread Tools
 
Old 10-09-2011, 12:47 AM
Tim Dunphy
 
Default ganglia failing dependency

hello list,

I'm trying to install ganglia-gmetad on centos 5.6. rrdtool is already installed and librrd is there. But for some reason when I go to install this package it doesn't see that it is.
[root@VIRTCENT11:/usr/local/src/ganglia-3.2.0] #yum install ganglia-gmetad
Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
* base: mirrors.lga7.us.voxel.net
* epel: serverbeach1.fedoraproject.org
* extras: mirror.umoss.org
* rpmforge: fr2.rpmfind.net
* updates: mirror.atlanticmetro.net
Excluding Packages in global exclude list
Finished
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package ganglia-gmetad.i386 0:3.0.7-1.el5 set to be updated
--> Processing Dependency: librrd.so.2 for package: ganglia-gmetad
--> Finished Dependency Resolution
ganglia-gmetad-3.0.7-1.el5.i386 from epel has depsolving problems
--> Missing Dependency: librrd.so.2 is needed by package ganglia-gmetad-3.0.7-1.el5.i386 (epel)
Error: Missing Dependency: librrd.so.2 is needed by package ganglia-gmetad-3.0.7-1.el5.i386 (epel)
You could try using --skip-broken to work around the problem
You could try running: package-cleanup --problems
package-cleanup --dupes
rpm -Va --nofiles --nodigest



But here are the required libraries:


[root@VIRTCENT11:/usr/local/src/ganglia-3.2.0] #locate librrd.so.2
/usr/lib/librrd.so.2
/usr/lib/librrd.so.2.0.13

Does anyone have any ideas on how to get past this point?

thanks!

_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 10-09-2011, 12:56 AM
John R Pierce
 
Default ganglia failing dependency

On 10/08/11 5:47 PM, Tim Dunphy wrote:
> [root@VIRTCENT11:/usr/local/src/ganglia-3.2.0] #locate librrd.so.2
> /usr/lib/librrd.so.2
> /usr/lib/librrd.so.2.0.13
>
> Does anyone have any ideas on how to get past this point?

it appears there are rrdtool's in both rpmforge and epel. odds are,
these aren't packaged in a compatible manner. anyways, your ganglia
stuff is from epel, so you probably should ask them.





--
john r pierce N 37, W 122
santa cruz ca mid-left coast

_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 10-09-2011, 01:32 AM
Ljubomir Ljubojevic
 
Default ganglia failing dependency

Vreme: 10/09/2011 02:56 AM, John R Pierce piše:
> On 10/08/11 5:47 PM, Tim Dunphy wrote:
>> [root@VIRTCENT11:/usr/local/src/ganglia-3.2.0] #locate librrd.so.2
>> /usr/lib/librrd.so.2
>> /usr/lib/librrd.so.2.0.13
>>
>> Does anyone have any ideas on how to get past this point?
>
> it appears there are rrdtool's in both rpmforge and epel. odds are,
> these aren't packaged in a compatible manner. anyways, your ganglia
> stuff is from epel, so you probably should ask them.
>
>
>
>
>

Tim, remove rrdtool (you installed it from repoforge/rpmforge) and rum
install for ganglia-gmetad. rrdtool will be automaticaly installed:

[root@kancelarija yum.repos.d]# yum install ganglia-gmetad
Loaded plugins: downloadonly, fastestmirror, priorities, refresh-packagekit
Loading mirror speeds from cached hostfile
1032 packages excluded due to repository priority protections
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package ganglia-gmetad.x86_64 0:3.1.7-3.el6 will be installed
--> Processing Dependency: ganglia = 3.1.7-3.el6 for package:
ganglia-gmetad-3.1.7-3.el6.x86_64
--> Processing Dependency: librrd.so.4()(64bit) for package:
ganglia-gmetad-3.1.7-3.el6.x86_64
--> Processing Dependency: libganglia-3.1.7.so.0()(64bit) for package:
ganglia-gmetad-3.1.7-3.el6.x86_64
--> Processing Dependency: libconfuse.so.0()(64bit) for package:
ganglia-gmetad-3.1.7-3.el6.x86_64
--> Running transaction check
---> Package ganglia.x86_64 0:3.1.7-3.el6 will be installed
---> Package libconfuse.x86_64 0:2.6-3.el6 will be installed
---> Package rrdtool.x86_64 0:1.3.8-6.el6 will be installed
--> Processing Dependency: dejavu-lgc-sans-mono-fonts for package:
rrdtool-1.3.8-6.el6.x86_64
--> Running transaction check
---> Package dejavu-lgc-sans-mono-fonts.noarch 0:2.30-2.el6 will be
installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================== ====================================
Package Arch Version
Repository Size
================================================== ====================================
Installing:
ganglia-gmetad x86_64 3.1.7-3.el6
plc-epel 34 k
Installing for dependencies:
dejavu-lgc-sans-mono-fonts noarch 2.30-2.el6 plc-os
393 k
ganglia x86_64 3.1.7-3.el6
plc-epel 150 k
libconfuse x86_64 2.6-3.el6
plc-epel 76 k
rrdtool x86_64 1.3.8-6.el6 plc-os
293 k

Transaction Summary
================================================== ====================================
Install 5 Package(s)

Total download size: 945 k
Installed size: 3.1 M
Is this ok [y/N]:


Also, install yum-plugin-priorities and setup priorites for all repos. I
would use priority=1 for all main repos, priority=2 for EPEL, and
priority=3 for Repoforge, ...

--

Ljubomir Ljubojevic
(Love is in the Air)
PL Computers
Serbia, Europe

Google is the Mother, Google is the Father, and traceroute is your
trusty Spiderman...
StarOS, Mikrotik and CentOS/RHEL/Linux consultant
_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 

Thread Tools




All times are GMT. The time now is 06:33 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org